package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhDataStat;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhDataStatExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformGzhDataStatMapper {
    long countByExample(ContentPlatformGzhDataStatExample example);

    int deleteByExample(ContentPlatformGzhDataStatExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformGzhDataStat record);

    int insertSelective(ContentPlatformGzhDataStat record);

    List<ContentPlatformGzhDataStat> selectByExample(ContentPlatformGzhDataStatExample example);

    ContentPlatformGzhDataStat selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformGzhDataStat record, @Param("example") ContentPlatformGzhDataStatExample example);

    int updateByExample(@Param("record") ContentPlatformGzhDataStat record, @Param("example") ContentPlatformGzhDataStatExample example);

    int updateByPrimaryKeySelective(ContentPlatformGzhDataStat record);

    int updateByPrimaryKey(ContentPlatformGzhDataStat record);
}